Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002274 [JEDI VCL] 00 JVCL Components crash always 2004-10-29 10:35 2004-12-20 06:21
Reporter anonymous View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 2.00
Summary 0002274: Components don't support SQL Server 2000 datetime type
Description The JEDI components don't seem to support the SQL Server 2000 datetime types. I'm trying to move from Paradox to Sql Server and the program crashes every time a JEDI component has to read a datetime field.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005529)
user72
2004-10-29 12:30

Have you tried using a standard DB control? What is the result? AFAIK, there should be no difference between JVCL DB controls and normal DB controls.
(0005543)
anonymous (viewer)
2004-11-01 13:41

I've actually looked at it a little closer. I think that the errors I'm having are a bit more fundamental. The errors all seem to stem back to the datetime types of SQL Server. It seems that the BDE components don't properly handle the datetime types in SQL Server. I keep getting intermittent errors stating that the datetime element I'm accessing is invalid. I get these errors even after updating my database and converting every single date in the database to one that I know is valid.
(0005547)
user72
2004-11-01 14:24

So can we assume that this issue doesn't involve JVCL DB controls per sé?
(0005772)
obones (administrator)
2004-11-30 04:32

If we don't hear from you in the next 7 days, we will consider this issue fixed.
(0005952)
obones (administrator)
2004-12-20 06:21

This issue is now considered fixed.
Should it not be the case, please open a new one.

- Issue History
Date Modified Username Field Change
2004-10-29 10:35 anonymous New Issue
2004-10-29 12:30 user72 Note Added: 0005529
2004-10-29 12:30 user72 Status new => feedback
2004-11-01 13:41 anonymous Note Added: 0005543
2004-11-01 14:24 user72 Note Added: 0005547
2004-11-30 04:32 obones Note Added: 0005772
2004-12-20 06:21 obones Status feedback => resolved
2004-12-20 06:21 obones Resolution open => fixed
2004-12-20 06:21 obones Assigned To => obones
2004-12-20 06:21 obones Note Added: 0005952
2004-12-20 06:21 obones Assigned To obones =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker